#!/usr/bin/env node
// Core MCP Server exports
export { SegmentMcp } from "./server/segment-mcp.mjs";
// Transport utilities
export { createStdioTransport } from "./transports/stdio.mjs";
export { createHttpTransport, createHttpTransportManager, startHttpServer, } from "./transports/http.mjs";
// Configuration utilities
export { loadConfig, validateConfig } from "./utils/config.mjs";
export { createLogger } from "./utils/logger.mjs";
//# sourceMappingURL=index.js.map